明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 272|回复: 4

求定数等分复制图形

[复制链接]
发表于 2017-12-16 11:28 | 显示全部楼层 |阅读模式
1明经币
选择图形,指定第一点、第二点、输入间隔数量(默认为2),等距复制图形,指定两点也可以是两个图形内部空间的角点。谢谢!


附件: 您需要 登录 才可以下载或查看,没有帐号?注册
发表于 2017-12-16 18:26 | 显示全部楼层
(defun c:tes  ( / en xfx pt1 pt2 zljl sl)
(setvar 'cmdecho 0)
(setq en (car(entsel "\n选择对象:")))
(setq xfx (car(apply 'mapcar(cons '- (bwh en)))))
(setq pt1 (getpoint "\n指定第一点:"))
(setq pt2 (getpoint "\n指定第二点:"))
(setq zljl (- (distance pt1 pt2) (abs xfx) ) )
(setq sl (getint "输入间隔数<2>:") )
(if (not sl) (setq sl 2))
(command "-array" en "" "r" 1 sl (/ zljl (float sl))  )
(setvar 'cmdecho 1)
(princ)
)


(defun bwh (en / p1 p2)
  (vla-getboundingbox (vlax-ename->vla-object en) 'p1 'p2)
  (setq p1 (vlax-safearray->list p1)
        p2 (vlax-safearray->list p2)
  )
  (list p1 p2)
)
回复

使用道具 举报

 楼主| 发表于 2017-12-18 08:55 | 显示全部楼层
xiang19751218 发表于 2017-12-16 18:26
(defun c:tes  ( / en xfx pt1 pt2 zljl sl)
(setvar 'cmdecho 0)
(setq en (car(entsel "\n选择对象:")) ...

非常好用,谢谢,能否麻烦给调个竖向可以用的呢!
回复

使用道具 举报

发表于 2017-12-18 10:50 | 显示全部楼层

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
回复

使用道具 举报

发表于 2018-2-27 15:29 | 显示全部楼层
谢谢 xiang19751218 分享学习!!!!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-4-26 04:27 , Processed in 0.224723 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表